OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
OpenMesh::IO::_OBJReader_ Class Reference

Implementation of the OBJ format reader. More...

`#include <OpenMesh/Core/IO/reader/OBJReader.hh>`

Inheritance diagram for OpenMesh::IO::_OBJReader_:
[legend]
Collaboration diagram for OpenMesh::IO::_OBJReader_:
[legend]

## Public Member Functions

std::string | get_description () const
| Returns a brief description of the file type that can be parsed.
std::string | get_extensions () const
| Returns a string with the accepted file extensions separated by a whitespace and in small caps.
bool | read (const std::string &_filename, BaseImporter &_bi, Options &_opt)
| Reads a mesh given by a filename.
bool | read (std::istream &_in, BaseImporter &_bi, Options &_opt)
| Reads a mesh given by a std::stream.
Public Member Functions inherited from OpenMesh::IO::BaseReader
virtual | ~BaseReader ()
| Destructor.
virtual std::string | get_magic () const
| Return magic bits used to determine file format.
virtual bool | can_u_read (const std::string &_filename) const
| Returns true if reader can parse _filename (checks extension)

## Additional Inherited Members

Protected Member Functions inherited from OpenMesh::IO::BaseReader
bool | check_extension (const std::string &_fname, const std::string &_ext) const

## Detailed Description

Implementation of the OBJ format reader.

## Member Function Documentation

bool OpenMesh::IO::_OBJReader_::read | ( | const std::string & | _filename,
|  | BaseImporter & | _bi,
|  | Options & | _opt
| ) |  |

virtual

Reads a mesh given by a filename.

Usually this method opens a stream and passes it to stream read method. Acceptance checks by filename extension can be placed here.

Options can be passed via _opt. After execution _opt contains the Options that were available

Implements OpenMesh::IO::BaseReader.

bool OpenMesh::IO::_OBJReader_::read | ( | std::istream & | _is,
|  | BaseImporter & | _bi,
|  | Options & | _opt
| ) |  |

virtual

Reads a mesh given by a std::stream.

This method usually uses the same stream reading method that read uses. Options can be passed via _opt. After execution _opt contains the Options that were available.

Please make sure that if _is is std::ifstream, the correct std::ios_base::openmode flags are set.

Implements OpenMesh::IO::BaseReader.

The documentation for this class was generated from the following files:

- OpenMesh/Core/IO/reader/OBJReader.hh
- OpenMesh/Core/IO/reader/OBJReader.cc